import discord
from discord.ext import commands
import aiohttp


class Hentai:
    def __init__(self, bot):
        self.bot = bot

    @commands.command()
    @commands.is_nsfw()
    async def hentai(self, ctx, soort):
        """"krijg hentai van een soort die jij leuk vind"""
        async with aiohttp.ClientSession() as sess:
            async with sess.get(f'https://nekos.life/api/v2/img/{soort}') as resp:
                data = await resp.json()
                embed = discord.Embed(title=f'{ctx.message.author}, hier je is waarschijnlijk smerige hetero zooi.', color=0xFF69B4)
                embed.set_image(url=data['url'])
                await ctx.send(embed=embed)


def setup(bot):
    bot.add_cog(Hentai(bot))
